Bug 122853 - nv_drv crashes in a dual head configuration
nv_drv crashes in a dual head configuration
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 05:52 EDT by Dr. Peter Boy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-10 02:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dr. Peter Boy 2004-05-09 05:52:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1)

Description of problem:
Nvidia Quattro4 NVS, attached to two analogue or digital monitors.

system-config-display recognises the dual head capability and allows
its configuration.

Restarting the X server it aborts with the error message:

Fatal server error:
Requested Entity already in use

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Nvidia Quadro4 NVS
2. Use system-config-display to configure for xinerama mode
3. X server aborts with the above error message

Actual Results:  The configuration file which is written by
system-config-display seems to be correct. 

The result doesn't change if you add options which are described in man,
esp. Options "CrtcNumber" and "FlatPanael"

Expected Results:  It should go into xinerama mode

Additional info:
Comment 1 Mike A. Harris 2004-05-10 02:06:14 EDT
The "nv" driver does not support dualhead/Xinerama at all, unless you
are using a single head plugged into the Nvidia card, and a separate
head on a different video card.  If Nvidia provides patches to the
nv driver to support this functionality however, it will be provided
in a future operating system release, and we can also review the code
changes for consideration in driver updates for existing OS releases.

Setting status to 'NOTABUG'

Note You need to log in before you can comment on or make changes to this bug.